c     Copyright (C) 2009 Vincent Eymet
c
c     "satellite" is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 3, or (at your option)
c     any later version.

c     This software is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with the present software; if not, see <http://www.gnu.org/licenses/>
c
      subroutine set_positions(sat_z,Radius,
     &     sat_theta,sat_phi,point_theta,point_phi,
     &     Psat,Pground)
      implicit none
      include 'max.inc'
c
c     Purpose: to compute satellite and intersected point positions
c

c     I/O
      double precision sat_z,Radius
      double precision sat_theta,sat_phi
      double precision point_theta,point_phi
      double precision Psat(1:Nmat_mx)
      double precision Pground(1:Nmat_mx)
c     temp
      double precision sat_r
      integer strlen
      character*100 label
      label='subroutine init'
      
      sat_r=Radius+sat_z        ! meters
      Psat(1)=sat_r
      Psat(2)=sat_theta
      Psat(3)=sat_phi
      Pground(1)=Radius
      Pground(2)=point_theta
      Pground(3)=point_phi

      return
      end
